<template>
    <div class="thermometer" :class="{ active: state}">
        <div class="line"></div>
        <div class="arc"></div>
    </div>
</template>

<script>
export default {
    props: ['switch'],
    data() {
        return {
            state: false
        }
    },
    watch: {
        'switch': {
            handler(val) {
                this.state = val
            },
            deep: true
        },
    },
    mounted() {
        this.state = this.switch
    }
}
</script>

<style scoped>
.thermometer {
    width: 16px;
    height: 72px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.line {
    width: 8px;
    height: 54px;
    background-color: #ffffff;
    border-radius: 4px 4px 0 0;
    overflow: hidden;
    position: relative;
}

.thermometer.active .line::before {
    content: "";
    display: block;
    width: 6px;
    height: 100%;
    position: absolute;
    bottom: 0;
    left: 1px;
    background: -webkit-linear-gradient(top, #ffffff, #318bf1);
}

.arc {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: #ffffff;
    margin-top: -1px;
    overflow: hidden;
    position: relative;
}

.thermometer.active .arc::before {
    content: "";
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #318bf1;
    position: absolute;
    bottom: -1px;
    left: -1px;
}
</style>